<?php
/**
 * @package   AkeebaLoginGuard
 * @copyright Copyright (c)2016-2022 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\Component\LoginGuard\Administrator\Service\Html;

use Joomla\CMS\MVC\Model\DatabaseAwareTrait;
use Joomla\Database\DatabaseDriver;

/**
 * HTMLHelper class for Akeeba LoginGuard
 *
 * All public Methods are accessible through HTMLHelper::_('loginguard.methodName')
 *
 * @since  6.0.0
 */
class LoginGuard
{
    use DatabaseAwareTrait;

    /**
     * Public constructor.
     *
     * @param   DatabaseDriver  $db  The Joomla DB driver object for the site's database.
     */
    public function __construct(DatabaseDriver $db)
    {
        $this->setDbo($db);
    }

}